.TH "pyspottedunipd.analysis.models.FacebookPostsDataFilter" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.analysis.models.FacebookPostsDataFilter \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits object\&.
.PP
Inherited by \fBpyspottedunipd\&.analysis\&.models\&.StatsAnalysis\fP\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self, \fBdataset_file\fP)"
.br
.ti -1c
.RI "def \fBparse_csv\fP (self)"
.br
.ti -1c
.RI "def \fBwrite_csv\fP (self, headers, data, out_file)"
.br
.in -1c
.SS "Static Public Member Functions"

.in +1c
.ti -1c
.RI "def \fBconvert_time_columns\fP (headers, headers_to_convert, data)"
.br
.ti -1c
.RI "def \fBadd_time_columns\fP (headers, data, date_header, time_header)"
.br
.ti -1c
.RI "def \fBadd_msg_stats_columns\fP (headers, data, message_column)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "\fBdataset_file\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.PP
.nf
Parses and fixes raw data 
.fi
.PP
 
.PP
Definition at line 38 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.analysis\&.models\&.FacebookPostsDataFilter\&.__init__ ( self,  dataset_file)"

.PP
.nf
:param dataset_file: str
    Path to folder with data to analyse

.fi
.PP
 
.PP
Definition at line 41 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.analysis\&.models\&.FacebookPostsDataFilter\&.add_msg_stats_columns ( headers,  data,  message_column)\fC [static]\fP"

.PP
.nf
:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param message_column: str
    Name of column with message post
:return: tuple [] of str, matrix ([] of [])
    Data with edited headers and added useful time columns.
    Adds message length, number of words, average word length column

.fi
.PP
 
.PP
Definition at line 140 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.FacebookPostsDataFilter\&.add_time_columns ( headers,  data,  date_header,  time_header)\fC [static]\fP"

.PP
.nf
:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param date_header: str
    Name of column containing date data
:param time_header: str
    Name of column containing time data
:return: tuple [] of str, matrix ([] of [])
    Data with edited headers and added useful time columns.
    Adds hour, minute, week day, month, year headers

.fi
.PP
 
.PP
Definition at line 94 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.FacebookPostsDataFilter\&.convert_time_columns ( headers,  headers_to_convert,  data)\fC [static]\fP"

.PP
.nf
:param headers: [] of str
    Column names of data
:param headers_to_convert: [] of str
    Column names of data to convert from time format to float
:param data: [] of []
    Raw data
:return: [] of []
    Input data but with converted time columns

.fi
.PP
 
.PP
Definition at line 74 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.FacebookPostsDataFilter\&.parse_csv ( self)"

.PP
.nf
:return: tuple [], [] of []
    Headers of csv file and data

.fi
.PP
 
.PP
Definition at line 51 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.FacebookPostsDataFilter\&.write_csv ( self,  headers,  data,  out_file)"

.PP
.nf
:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param out_file: str
    Path to output file
:return: void
    Saves data in csv file

.fi
.PP
 
.PP
Definition at line 59 of file models\&.py\&.
.SH "Member Data Documentation"
.PP 
.SS "pyspottedunipd\&.analysis\&.models\&.FacebookPostsDataFilter\&.dataset_file"

.PP
Definition at line 49 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
